 /*****************************************************************
 *  Author: Pere Urb�n Bayes                                      *
 *  e-mail: purbon@ccd.uab.es                                     *
 *  Description :  Header file for the kernel and leaders calc    *
 *                 functions.                                     *
 *  File Name: ubc.h                                              *
 *  Last Changes  : 10-06-2005                                    *
 ******************************************************************/


#ifndef _UBC_H_
#define _UBC_H_

#include "constants.h"

/* Kernel and leader routines */ 

extern small_wCodeWord * small_kernel(FILE * ,int , int, int *, int *, int *);
extern large_wCodeWord * large_kernel(FILE * ,int , int, int *, int *, int *);

/* Running routine.*/
extern int running(char *);
extern large_wCodeWord *runLargeCode(char *);


#endif //_UBC_H_
