cdef extern from "../src/constants.h":
	ctypedef unsigned int * large_codeWord
	ctypedef unsigned int  small_codeWord

	cdef struct small_wCodeWord:
		small_codeWord codeWord
		int weight
		int state

	cdef struct large_wCodeWord:
		large_codeWord codeWord
		int weight
		int state
		
cdef extern from "stdio.h":
	ctypedef struct FILE:
		unsigned char *_ptr
		int _cnt
		unsigned char *_base
		unsigned char *_bufendp
		short _flag
		short _file
		int __stdioid
		char *__newbase
		long _unused[1]
	
	cdef extern int fscanf (FILE *,char *,...)
	cdef extern FILE * fopen (char *,char *)
	cdef extern int fclose (void *)
	cdef extern void free(void *)
		
cdef extern from "../src/ubc.h":
	cdef extern int running(char *)
	cdef extern large_wCodeWord * runLargeCode(char * fileName)
	cdef extern void freeSmallCode(small_wCodeWord * codeElements)
	cdef extern small_wCodeWord *small_kernel(FILE *, int, int, int *, int *, int *)
	cdef extern large_wCodeWord *large_kernel(FILE *, int, int, int *, int *, int *)
